WhatsApp: Why you need to update your WhatsApp app immediately

WhatsApp has urged users to update their messaging app following spyware fears.

The messaging service has called on its customers to update to the latest version of the app, after discovering that a spyware software can be injected into a mobile phone via the social media app’s call function.

WhatsApp issued an update of the app on Monday, via Appleā€™s App Store and Google Play, and are encouraging its 1.5 billion users to upgrade their app immediately.

It’s simple. Just open up your app store, and tap the update button.

WhatsApp discovered that attackers could inject a code into iPhones and Android phones just by calling the device.

And, the code can be injected into a device even if a user did not answer the phone call.

It’s been reported that the log of the phone call is then erased from the users phone log – so you will have no idea the attack has even occurred!

WhatsApp Update

Credit: Getty

The spyware code allows hackers to listen to your WhatsApp calls through the WhatsApp voice function.

WhatsApp have revealed that the security threat was discovered earlier this month and the spyware software has already targeted a number of users.

WhatsApp are not yet sure who is responsible for the hacking spyware, however they believe it is similar to the type of spyware used by intelligence agencies.

‘We believe a select number of users were targeted through this vulnerability by an advanced cyber actor,’ WhatsApp told the Financial Times.

‘This attack has all the hallmarks of a private company known to work with governments to deliver spyware that reportedly takes over the functions of mobile phone operating systems.

‘We have briefed a number of human rights organisations to share the information we can, and to work with them to notify civil society.’

Some Whatsapp users will soon be blocked from using the messaging app if they have an older device.

Some users with 2016 Blackberry and Nokia devices will be stopped from using the app, as well as users with older iPhones.